@media (min-width: 992px) {
    .location__find--mobile {
        display: none !important;
    }
}

@media only screen and (max-width: 991px) {
    .location__find--mobile a {
        border-bottom: 1px solid #fcfcfc;
        color: #fcfcfc !important;
        margin-left: 20px;
        margin-right: 20px;
        padding: 15px 0 !important;
    }
}